# Generated from zebra-datepicker-i18n-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name zebra-datepicker-i18n

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: Extend Zebra Datepicker with internationalization
License: BSD-2-Clause
URL: https://github.com/ivaldi/zebra-datepicker-i18n
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Extend Zebra Datepicker with translations and localisation
based on the excellent rails-i18n and zebra-datepicker-rails gems.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.3-1
- Initial package
